%global momorel 3
%global real_version 0.8.6f
%global cactid_version 0.8.6e

%global md5sum_src0 032b8b22225f137e2a2294e89a2af2ec
%global md5sum_src1 c63baf6be89ea3591e8aac0e44792cd2

Summary: Network monitoring/graphing tool
Name: cacti
Version: 0.8.6
Release: %{momorel}m
License: GPL
Group: Applications/System
URL: http://www.raxnet.net/products/cacti/

%NoSource 0 http://www.cacti.net/downloads/cacti-%{real_version}.tar.gz %{md5sum_src0}
%NoSource 1 http://www.cacti.net/downloads/cactid/cacti-cactid-%{cactid_version}.tar.gz %{md5sum_src1}
Patch0: %{name}-%{version}-mysqlconfig.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: MySQL-devel >= 4.0.24-2m
BuildRequires: net-snmp-devel
Requires: webserver, MySQL, net-snmp, rrdtool
Requires: php, php-mysql, php-snmp, php-rrdtool

%description
Cacti is a complete frontend to RRDTool. It stores all of the necessary
information to create graphs and populate them with data in a MySQL database.

The frontend is completely PHP driven. Along with being able to maintain
graphs,data sources, and round robin archives in a database, Cacti also
handles the data gathering. There is SNMP support for those used to creating
traffic graphs with MRTG.

%package cactid
Summary: Fast c-based poller for package %{name}
Group: Applications/System
Requires: cacti = %{version}

%description cactid
Cactid is a supplemental poller for Cacti that makes use of pthreads to
achieve
excellent performance.

%prep
%setup -q -n %{name}-%{real_version} -a 1
%patch -p1

echo -e "#*/5 * * * *\tcacti\tphp %{_localstatedir}/www/cacti/poller.php > /dev/null 2>&1" >cacti.crontab

### Add a default cacti.conf for Apache.
%{__cat} <<EOF >cacti.httpd
Alias /cacti/ %{_localstatedir}/www/cacti/
<Directory %{_localstatedir}/www/cacti/>
        DirectoryIndex index.php
	Options -Indexes
	AllowOverride all
        order deny,allow
        deny from all
        allow from 127.0.0.1
</Directory>
EOF

%build
cd cacti-cactid-%{cactid_version}
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_localstatedir}/www/cacti/
%{__install} -m0644 *.php cacti.sql %{buildroot}%{_localstatedir}/www/cacti/
%{__cp} -avx docs/ images/ include/ install/ lib/ log/ resource/ rra/ scripts/ %{buildroot}%{_localstatedir}/www/cacti/

%{__install} -D -m0755 cacti-cactid-%{cactid_version}/cactid %{buildroot}%{_bindir}/cactid
%{__install} -D -m0644 cacti-cactid-%{cactid_version}/cactid.conf %{buildroot}%{_sysconfdir}/cactid.conf
%{__install} -D -m0644 cacti.crontab %{buildroot}%{_sysconfdir}/cron.d/cacti
%{__install} -D -m0644 cacti.httpd %{buildroot}%{_sysconfdir}/httpd/conf.d/cacti.conf.dist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE README
%config(noreplace) %{_localstatedir}/www/cacti/include/config.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/cacti.conf.dist
%config %{_sysconfdir}/cron.d/*
%dir %{_localstatedir}/www/cacti/
%{_localstatedir}/www/cacti/*.php
%{_localstatedir}/www/cacti/cacti.sql
%{_localstatedir}/www/cacti/docs/
%{_localstatedir}/www/cacti/images/
%{_localstatedir}/www/cacti/include/
%{_localstatedir}/www/cacti/install/
%{_localstatedir}/www/cacti/lib/
%{_localstatedir}/www/cacti/resource/
%{_localstatedir}/www/cacti/scripts/
%{_localstatedir}/www/cacti/log/
%{_localstatedir}/www/cacti/rra/

%files cactid
%defattr(-,root,root,0755)
%doc cacti-cactid-%{cactid_version}/AUTHORS cacti-cactid-%{cactid_version}/CHANGELOG
%doc cacti-cactid-%{cactid_version}/COPYING cacti-cactid-%{cactid_version}/INSTALL
%doc cacti-cactid-%{cactid_version}/NEWS
%config(noreplace) %{_sysconfdir}/cactid.conf
%{_bindir}/*

%changelog
* Tue Jul 19 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.8.6-3m)
- up to 0.8.6f
- [SECURITY] 
 * Cacti multiple SQL Injection Vulnerabilities <http://www.hardened-php.net/advisory-032005.php>
 * Cacti Remote Command Execution Vulnerability <http://www.hardened-php.net/advisory-042005.php>
 * Cacti Authentification/Addslashes Bypass Vulnerability <http://www.hardened-php.net/advisory-052005.php>

* Tue Mar 31 2005 Toru Hoshina <t@momonga-linux.org>
- (0.8.6-2m)
- untar when %%setup so that we apply some patchies.
- use mysql_config to determin CFLAGS and LDFLAGS.

* Wed Mar 30 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.6-1m)
- upgrade

* Sat Jul 24 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.5-4m)
- stop service

* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.5-3m)
- merge docs

* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.5-2m)
- stop cron

* Sun Jul 18 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.5-1m)
- import to momonga
- s/mysql/MySQL/g at buildrequires requires

* Thu Jun 10 2004 Dag Wieers <dag@wieers.com> - 0.8.5-2.a
- Fixed correct location in cron script. (Alex Vitola)

* Fri Apr 02 2004 Dag Wieers <dag@wieers.com> - 0.8.5-1.a
- Updated to release 0.8.5a.

* Thu Apr 01 2004 Dag Wieers <dag@wieers.com> - 0.8.5-1
- Fixed cacti.httpd. (Dean Takemori)

* Tue Feb 17 2004 Dag Wieers <dag@wieers.com> - 0.8.5-0
- Cosmetic rebuild for Group-tag.
- Initial package. (using DAR)
